Groovy 1.7.10

## org.codehaus.groovy.reflection.stdclasses
[Java] Class CharacterCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.CharacterCachedClass

    public class CharacterCachedClass
    extends CachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`CharacterCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

Method Summary
`boolean` | `isAssignableFrom(Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(Object argument)`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### CharacterCachedClass

    public CharacterCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

Method Detail

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

Copyright © 2003-2010 The Codehaus. All rights reserved.